# Generated by Django 2.1.1 on 2018-11-20 14:26

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('IndospritCore', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DealerDocuments',
            fields=[
                ('document_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('document_number', models.CharField(blank=True, max_length=100, null=True)),
                ('document', models.CharField(blank=True, max_length=300, null=True)),
                ('document_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='doc_type', to='IndospritCore.DocumentTypeMaster')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_document_created_by', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='DealerProfile',
            fields=[
                ('profile_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('dealer_code', models.CharField(max_length=50, null=True)),
                ('shipping_address', models.CharField(blank=True, max_length=250, null=True)),
                ('company_address', models.CharField(blank=True, max_length=250, null=True)),
                ('owner_name', models.CharField(max_length=100, null=True)),
                ('region_id', models.CharField(blank=True, max_length=50, null=True)),
                ('pincode', models.IntegerField(blank=True, null=True)),
                ('email', models.CharField(blank=True, max_length=100, null=True)),
                ('primary_contact', models.CharField(max_length=25, null=True)),
                ('alternate_contact', models.CharField(blank=True, max_length=25, null=True)),
                ('gst_no', models.CharField(blank=True, max_length=50, null=True)),
                ('pan_no', models.CharField(blank=True, max_length=50, null=True)),
                ('Aadhaar_No', models.CharField(blank=True, max_length=50, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('company_name', models.CharField(max_length=250, null=True)),
                ('brand', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='IndospritCore.BrandMaster')),
                ('cd_slab_code', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='cd_slab', to='IndospritCore.CashDiscountSlabsMaster')),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_created_by', to=settings.AUTH_USER_MODEL)),
                ('dealer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='SRDealer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dealer_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='sr_dealer', to='UserInfo.DealerProfile')),
                ('sr_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='sr_dealer_id', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
